Bug 459111 - When prompted for passphrase to unlock root device, hitting <esc> prevents passphrase entry
When prompted for passphrase to unlock root device, hitting <esc> prevents pa...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Beta/F10BetaBlocker
  Show dependency treegraph
 
Reported: 2008-08-14 10:33 EDT by James Laska
Modified: 2013-09-02 02:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 16:11:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-08-14 10:33:00 EDT
Description of problem:

When prompted for the passphrase to unlock the root device, hit <esc>.  As expected this takes you to the text-console.  However you are unable to enter a passphrase.

Version-Release number of selected component (if applicable):

plymouth-0.5.0-20.2008.08.13.fc10.i386


How reproducible:
Every time it seems

Steps to Reproduce:
1. Install F10-Alpha with an encrypted root
2. Update to plymouth-0.5.0-20.2008.08.13.fc10
3. Rebuild initrd

$ mkinitrd /boot/initrd-$(uname -r) $(uname -r)

4. Reboot, ensuring "rhgb vga=0x318" are added as boot arguments
5. When prompted for passrphase, hit <esc>

Actual results:
Taken to text console ... unable to enter a passphrase to continue the boot process


Expected results:
Expected to see a text-mode password: prompt
Comment 1 Ray Strode [halfline] 2008-08-27 16:11:25 EDT
This should be a little better in tomorrow's rawhide.  Escape will now answer the password prompt with an empty string (which will trigger the client to ask again if the password isn't the empty string).

Even better would be to track that the old plugin was asking for a password and bring the second plugin with the prompt waiting, but that was a little trickier so I'm punting for now.

Note You need to log in before you can comment on or make changes to this bug.